package cz.moneta.test.dsl.ufo.banka.pages.common.pages;

import cz.moneta.test.dsl.ufo.banka.pages.main.SIP001_S002_ListOfSIPOPayments;
import cz.moneta.test.dsl.ufo.banka.pages.main.adc.ADC026_S001_BankApiDetailPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.components.INK001_OBR001_007_ContinueFromHandoverPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.DUP004_S002_AccountSelectionPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface INK001_OBR001_004_ConfirmationPageTransitions extends WebFlow<INK001_OBR001_004_ConfirmationPageTransitions> {

    ADC026_S001_BankApiDetailPage onBankApiDetailPage();

    INK001_OBR001_007_ContinueFromHandoverPage onContinueFromHandoverPage();

    DUP004_S002_AccountSelectionPage onAccountSelectionPage();

    SIP001_S002_ListOfSIPOPayments onListOfSIPOPaymentsPage();

    INK001_OBR001_007_InkasoNonVerifiedIcbsPage onInkasoNonVerifiedIcbsPage();

}
